<?php

namespace WPDesk\ShopMagic\Action\Builtin\SendMail;

use WPDesk\ShopMagic\FormField\Field\TextAreaField;

/**
 * Action to send emails using HTML. No WYSWIG is provided and the data will be sent without any additional filtering or modifications.
 */
final class SendRawHTMLMailAction extends AbstractSendMailAction {
	/**
	 * @inheritDoc
	 */
	public function get_name() {
		return __( 'Send Email - Raw HTML', 'shopmagic-for-woocommerce' );
	}

	/**
	 * @inheritDoc
	 */
	public function get_fields() {
		return array_merge( parent::get_fields(),
			[
				( new TextAreaField() )
					->set_label( __( 'Message', 'shopmagic-for-woocommerce' ) )
					->set_name( self::PARAM_MESSAGE_TEXT )
			] );
	}

	/**
	 * @inheritDoc
	 */
	protected function get_message_content() {
		return apply_filters( 'shopmagic/core/action/sendmail/raw_message', $this->placeholder_processor->process( $this->fields_data->get( self::PARAM_MESSAGE_TEXT ) ) );
	}
}
