<?php

namespace WPDesk\ShopMagic\Event\Builtin;

use WPDesk\ShopMagic\Event\OrderCommonEvent;

final class OrderNew extends OrderCommonEvent {
	/**
	 * @inheritDoc
	 */
	public function get_name() {
		return __( 'New Order', 'shopmagic-for-woocommerce' );
	}

	/**
	 * @inheritDoc
	 */
	public function get_description() {
		return __( 'Triggered when a new order is created', 'shopmagic-for-woocommerce' );
	}

	/**
	 * @inheritDoc
	 */
	public function initialize() {
		add_action( 'woocommerce_new_order', array( $this, 'process_event' ), self::PRIORITY_AFTER_DEFAULT, 2 );
		add_action( 'woocommerce_api_create_order', array( $this, 'process_event' ), self::PRIORITY_AFTER_DEFAULT, 2 );
	}
}
