<?php

namespace WPDesk\ShopMagic\Placeholder\Builtin\Customer;

use WPDesk\ShopMagic\Placeholder\Builtin\UserBasedPlaceholder;

final class CustomerPhone extends UserBasedPlaceholder {
	public function get_slug() {
		return parent::get_slug() . '.phone';
	}

	/**
	 * @param array $parameters
	 *
	 * @return string
	 */
	public function value( array $parameters ) {
		if ( $this->is_order_provided() ) {
			$fallback = $this->get_order()->get_billing_phone();
		} else {
			$fallback = '';
		}

		if ( ! $this->is_user_guest() ) {
			$phone = get_user_meta( $this->get_user()->ID, 'billing_phone', true );
		}

		return ! empty( $phone ) ? $phone : $fallback;
	}
}
